Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029480
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementtrivialhave not tried2015-03-31 16:432015-04-01 17:43
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision235571f94428
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelPackaging and release
Regression date2015-03-26
Regression introduced in releasemain
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/bb85cbd52ff0 [^]
Triggers an Emergency PackNo
Summary

0029480: Lines still showing when filtering by a wrong value in a number type column in Manage Reservation popup

DescriptionLines still showing when filtering by a wrong value in a number type column in Manage Reservation popup
Steps To Reproduce1- Login into Openbravo ERP
2- As group admin role, set the Enable Stock Reservation preference to 'Y'
3- Logout and login again
4- Go to Sales Order window and create a header.
5- Go to lines and create a new one, select a product that has stock (for example Vino Blanco)
6- Book it
7- Go to the lines tab and open the Manage Reservation pop-up
8- Uncheck all lines
9- Type a wrong filter (a string) in Available Qty column and check all records still shown, while they should not

Note: Same occurs from Stock reservation window
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029479 closedaferraz Lines still showing when filtering by a wrong value in a number type column in Manage Reservation popup 

-  Notes
(0076327)
hgbot (developer)
2015-04-01 17:42

Repository: erp/backports/3.0PR15Q2
Changeset: 235571f94428691a7759f9f3968de456b84639d2
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Mar 31 16:47:42 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/235571f94428691a7759f9f3968de456b84639d2 [^]

Fixes issue 29480: Lines shown when filtering by a wrong value

Lines will not be shown, if they are not checked, when filtering by a wrong value in a number type column, in Manage Reservation popup

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0076328)
umartirena (developer)
2015-04-01 17:43

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-03-31 16:48 aferraz Type defect => backport
2015-03-31 16:48 aferraz Target Version => 3.0PR15Q2
2015-04-01 17:39 dmitry_mezentsev Tag Attached: Approved
2015-04-01 17:42 hgbot Checkin
2015-04-01 17:42 hgbot Note Added: 0076327
2015-04-01 17:42 hgbot Status scheduled => resolved
2015-04-01 17:42 hgbot Resolution open => fixed
2015-04-01 17:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/235571f94428691a7759f9f3968de456b84639d2 [^]
2015-04-01 17:43 umartirena Review Assigned To => umartirena
2015-04-01 17:43 umartirena Note Added: 0076328
2015-04-01 17:43 umartirena Status resolved => closed
2015-04-01 17:43 umartirena Fixed in Version => 3.0PR15Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker